NAMESERVERS=(
'9.9.9.9'
)
PACKAGES=(
'git'
'python3'
)
REPOSITORY='rwx.work/cd'

echo '
 1/11 set name servers
'
for nameserver in "${NAMESERVERS[@]}" ; do
    echo "nameserver ${nameserver}" \
    >> '/etc/resolv.conf' \
    || exit
done

echo '
 2/11 configure package manager
'
echo -n "\
APT::Get::Show-Versions True;
APT::Install-Recommends False;
APT::Install-Suggests False;
" > '/etc/apt/apt.conf.d/apt.conf' \
|| exit
echo '
 3/11 configure package repositories
'
echo -n "\
deb https://deb.debian.org/debian bookworm main
deb https://deb.debian.org/debian-backports bookworm main
deb https://deb.debian.org/debian-updates bookworm main
deb https://deb.debian.org/debian-security bookworm-security main
" > '/etc/apt/sources.list' \
|| exit

echo '
 4/11 update package catalog
'
apt-get update \
|| exit
echo '
 5/11 install CA certificates package
'
apt-get install --yes 'ca-certificates' \
|| exit
echo '
 6/11 update package catalog
'
apt-get update \
|| exit
echo '
 7/11 upgrade packages
'
apt-get upgrade --yes \
|| exit

echo '
 8/11 install Git
'
apt-get install --yes 'git' \
|| exit

DIRECTORY="$(mktemp --directory)" \
|| exit
echo '
 9/11 clone Continuous Delivery
'
git clone \
"${GITHUB_SERVER_URL}/${REPOSITORY}" \
"${DIRECTORY}" \
|| exit

echo '
10/11 install Python
'
apt-get install --yes 'python3' \
|| exit
echo '
11/11 bootstrap
'
"${DIRECTORY}/bootstrap.sh"
